
Redmine - Feature #5095

allow plugins to add controllers and actions to existing permissions

2010-03-16 13:46 - Lluís Gili

Status: New Start date: 2010-03-16

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Plugin API Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

This patch allows a plugin to add his actions to existing permissions, on init.rb should be called like this

add_permission :view_issues, :issues_plugin => [:index,:list,:show]

History

#1 - 2010-03-16 13:50 - Lluís Gili

forgot brackets on example

add_permission :view_issues, { :issues_plugin => [:index,:list,:show] }

#2 - 2010-03-16 13:51 - Lluís Gili

- Assignee deleted (Eric Davis)

#3 - 2012-03-23 11:59 - Lluís Gili

- File add_to_permissions_from_plugins.patch added

this is a pretty simple patch, and posted 2 years ago, there's any chance to get it merged?

#4 - 2012-03-23 18:05 - Etienne Massip

Won't Plugin_Tutorial fit your need?

#5 - 2012-03-26 01:38 - laspariseanicko John

- Assignee set to Holger Just

-

#6 - 2012-03-26 04:29 - kurtenbagabr billaa

-

#7 - 2012-03-26 07:50 - sheerinjerr aifseng

-

#8 - 2012-03-26 07:53 - burgsgill aifseng

-

#9 - 2012-03-26 08:57 - Etienne Massip

- Assignee deleted (Holger Just)

#10 - 2012-03-26 09:12 - raankelv John

- Assignee set to Anonymous

-
https://www.redmine.org/projects/redmine/wiki/Plugin_Tutorial#Extending-the-project-menu


#11 - 2012-03-26 10:05 - Lluís Gili

this patch expands what is explained in plugin tutorial

it allows plugins to add methods to a permission. For instance if you write a plugin to add issues from another controller, with this patch you can just

call

add_permission :add_issues, { :issues_plugin => [:new,:create] }

instead of adding another permission 'add_issues_2"

#12 - 2012-03-26 10:06 - Anonymous

- Assignee deleted (Anonymous)

Please don't randomly assign tickets to people.

#13 - 2012-03-28 05:16 - avellinodesm John

- Assignee set to Etienne Massip

-

#14 - 2012-03-28 05:19 - kirkkent John

-

#15 - 2012-03-28 17:03 - Etienne Massip

- Assignee deleted (Etienne Massip)

#16 - 2014-03-05 16:42 - Ilya S

why this patch still wasn't merged?

Files

add_to_permissions_from_plugins.patch 1.22 KB 2010-03-16 Lluís Gili

add_to_permissions_from_plugins.patch 1.07 KB 2012-03-23 Lluís Gili
